Package org.apache.storm.kafka.spout.metrics2

# Class KafkaOffsetPartitionMetrics<K,V>

java.lang.Object
org.apache.storm.kafka.spout.metrics2.KafkaOffsetPartitionMetrics<K,V>

All Implemented Interfaces:
  `com.codahale.metrics.Metric`, `com.codahale.metrics.MetricSet`

public class KafkaOffsetPartitionMetrics<K,V> extends Object implements com.codahale.metrics.MetricSet
Partition level metrics.

topicName/partition_{number}/earliestTimeOffset //gives beginning offset of the partition topicName/partition_{number}/latestTimeOffset //gives end offset of the partition topicName/partition_{number}/latestEmittedOffset //gives latest emitted offset of the partition from the spout topicName/partition_{number}/latestCompletedOffset //gives latest committed offset of the partition from the spout topicName/partition_{number}/spoutLag // the delta between the latest Offset and latestCompletedOffset topicName/partition_{number}/recordsInPartition // total number of records in the partition

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KafkaOffsetPartitionMetrics(Supplier<Map<org.apache.kafka.common.TopicPartition,OffsetManager>> offsetManagerSupplier, Supplier<org.apache.kafka.clients.admin.Admin> adminSupplier, org.apache.kafka.common.TopicPartition topicPartition, KafkaOffsetTopicMetrics topicMetrics)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,com.codahale.metrics.Metric>`
  `getMetrics()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KafkaOffsetPartitionMetrics

    public KafkaOffsetPartitionMetrics(Supplier<Map<org.apache.kafka.common.TopicPartition,OffsetManager>> offsetManagerSupplier, Supplier<org.apache.kafka.clients.admin.Admin> adminSupplier, org.apache.kafka.common.TopicPartition topicPartition, KafkaOffsetTopicMetrics topicMetrics)

- ## Method Details

  - ### getMetrics

    public Map<String,com.codahale.metrics.Metric> getMetrics()
    Specified by:
      `getMetrics` in interface `com.codahale.metrics.MetricSet`